import * as vue from 'vue';
import { PropType } from 'vue';
import { HighlightRule } from './index.js';

declare const _default: vue.DefineComponent<{
    defaultValue: StringConstructor;
    modelValue: StringConstructor;
    multiline: BooleanConstructor;
    readonly: BooleanConstructor;
    disabled: BooleanConstructor;
    theme: StringConstructor;
    highlight: {
        type: PropType<HighlightRule | HighlightRule[] | ((value: string) => string)>;
        required: true;
    };
    patch: PropType<((el: HTMLElement, html: string) => void) | undefined>;
}, () => vue.VNode<vue.RendererNode, vue.RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{
    defaultValue: StringConstructor;
    modelValue: StringConstructor;
    multiline: BooleanConstructor;
    readonly: BooleanConstructor;
    disabled: BooleanConstructor;
    theme: StringConstructor;
    highlight: {
        type: PropType<HighlightRule | HighlightRule[] | ((value: string) => string)>;
        required: true;
    };
    patch: PropType<((el: HTMLElement, html: string) => void) | undefined>;
}>>, {
    multiline: boolean;
    readonly: boolean;
    disabled: boolean;
}>;

export { _default as default };
